Name:		    nde-terminal 
Version:	    0.0.1
Release:	    5%{?dist}
License:	    GPLv2
URL:		    http://www.gd-linux.com
Source0:	    %{name}-%{version}.tar.gz
Summary:	    Advanced Qt5-based terminal emulator


BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(nde) >= 0.0.1
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(ndetermwidget5) = %{version}
BuildRequires:  qt5-qttools-devel

# Require nde-termwidget to be the same version, as suggested by upstream
Requires:       nde-termwidget = %{version}

Provides:       %{name}-common = %{version}-%{release}
Provides:       %{name}-qt5 = %{version}-%{release}
Obsoletes:      %{name}-common < %{version}-%{release}
Obsoletes:      %{name}-qt5 < %{version}-%{release}

%description
Advanced Qt5-based terminal emulator with many useful bells and whistles.


%package l10n
Summary:        Translations for ndeterminal
Requires:       nde-terminal
%description l10n
This package provides translations for the ndeterminal package.

%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang ndeterminal --with-qt


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/ndeterminal.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/nde-terminal.desktop


%post
/bin/touch --no-create %{_kf5_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license LICENSE
%doc AUTHORS CHANGELOG CONTRIBUTING.md README.md
%{_bindir}/ndeterminal
%{_datadir}/appdata/ndeterminal.appdata.xml
%{_datadir}/applications/nde-terminal.desktop
%{_datadir}/icons/*/*
%{_datadir}/ndeterminal


%files l10n -f ndeterminal.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/ndeterminal/translations

%changelog
* Tue Aug 4 2020  lei.bao <lei.bao@zte.com.cn> - 0.0.1-5
- 修复放大缩小中文翻译搞反问题

* Wed Jul 15 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-4
- 删除无用的desktop文件

* Thu Jun 2 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-3
- 修改中文名称

* Mon Jun 01 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-2
- 更改应用名称

* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

